libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__archive_offset(
        mpq_archive_s  *mpq_archive,
        off_t          *offset
);

DESCRIPTION

Call libmpq__archive_offset() to get the offset of the archive, which is the absolute position in the file. It also supports archives within archives.

The libmpq__archive_offset() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument is a reference to the archive starting position offset in file.

RETURN VALUE
On success, a zero is returned.

SEE ALSO
libmpq__file_offset(3), libmpq__block_offset(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2011
    Maik Broemme <mbroemme@libmpq.org>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.